<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">

    <link rel="preconnect" href="https://fonts.gstatic.com">
    <link href="https://fonts.googleapis.com/css2?family=Roboto+Slab:wght@400;500;700&display=swap" rel="stylesheet">
    <link rel="stylesheet" href="css/bootstrap.min.css">
    <link rel="stylesheet" href="css/style.css">
    <link rel="stylesheet" href="css/responsive.css">

    <title>Contact</title>
</head>
<body>
    <div class="header">
        <div class="header-content">
            <div class="row">
                <div class="col-md-4">
                    <img src="images/Logo.png" alt="">
                </div>
                <div class="col-md-8 header-right">
                    <div class="input-search">
                        <input type="search" placeholder="Search" size=30px>
                        <button type="submit"><img src="images/ico_search.svg" alt=""></button>
                    </div>
                    <input type="checkbox" class="toggleMenu" id="menu">
                    <label for="menu" class="toggleMenu">
                        <img src="images/menu.png" width="50px" height="50px" alt="">
                    </label>
                    <ul class="header-menu-list">
                        <li class="header-menu-item"><a href="../homepage/Home.html">Home</a></li>
                        <li class="header-menu-item"><a href="">Company Profile</a></li>
                        <li class="header-menu-item"><a href="../tomatoAll/TomatoAll.html">Products</a></li>
                        <li class="header-menu-item"><a href="">Services</a></li>
                        <li class="header-menu-item"><a href="">R & D</a></li>
                        <li class="header-menu-item"><a href="../contact/Contact.html">Contact</a></li>
                    </ul>
                </div>
            </div>
        </div>
    </div>

    <img src="images/top-img.png" class="top-img"></img>

    <div class="content" id="app">
        <h1>Contact us</h1>
        <img src="images/xxx.png" alt="" class="x-decoration">

        <table class="cart" v-if="atLeastOneInCart">
            <tr>
                <th>Image</th>
                <th>Title</th>
                <th>Description</th>
            </tr>
            <tr class="cart-item" v-for="item in cart">
                <td><img :src="'images/'+item.image" alt=""></td>
                <td><h2>{{item.title}}</h2></td>
                <td><p>{{item.short_text}}</p></td>
                <td class="tdCross"><a class="cross" href="#" @click.prevent="removeFromCart(item.id)">&#215</a></td>
            </tr>
        </table>

        <form class="row" @submit.prevent="makeOrder()" action="" v-if="formVisible">
            <div class="col-md-4">
                <div class="form-item">
                    <p>Name *</p>
                    <input v-model="contactFields.name" type="text" name="name" required="required"></input>
                </div>
                <div class="form-item">
                    <p>Company Name</p>
                    <input v-model="contactFields.company" type="text" name="company">
                </div>
                <div class="form-item">
                    <p>Position</p>
                    <input v-model="contactFields.position" type="text" name="position">
                </div>
                <div class="form-item">
                    <p>City</p>
                    <input v-model="contactFields.city" type="text" name="city">
                </div>
                <div class="form-item">
                    <p>Country</p>
                    <input v-model="contactFields.country" type="text" name="country">
                </div>
                <div class="form-item">
                    <p>Telephone</p>
                    <input v-model="contactFields.telephone" type="tel" name="phoneNumber">
                </div>
                <div class="form-item">
                    <p>Email *</p>
                    <input v-model="contactFields.email" type="email" name="email" required="required">
                </div>
            </div>
            <div class="col-md-8" id="column-2">
                <div class="form-item">
                    <p>You are a</p>
                    <select v-model="contactFields.whoIAm" name="whoIAm">
                        <option>seed producer</option>
                        <option>someone else</option>
                        <option>someone else</option>
                        <option>someone else</option>
                    </select>
                </div>
                <div class="form-item">
                    <p>If other, please specify</p>
                    <input v-model="contactFields.whoIAmSpecify" type="text" name="whoIAmSpecify">
                </div>
                <div class="form-item">
                    <p>You are interested in</p>
                    <textarea v-model="contactFields.interestedIn" type="text" name="interestedIn" rows=15></textarea>
                </div>
                <div id="captcha" class="form-item">
                    <p>Please type this code</p>
                    <div class="captcha">
                        <img src="images/code.png" alt="">
                        <input type="text" name="code">
                        <button type="submit">Send Message</button>
                    </div>
                </div>
            </div>
        </form>

        <ul class="writtenData-list" v-if="!formVisible">
            <li class="writtenData-item">
                <h2>Name</h2>
                <p>{{contactFields.name}}</p>
                <p v-if="contactFields.name === undefined">empty</p>
            </li>
            <li class="writtenData-item">
                <h2>Company Name</h2>
                <p>{{contactFields.company}}</p>
                <p v-if="contactFields.company === undefined">empty</p>
            </li>
            <li class="writtenData-item">
                <h2>Position</h2>
                <p>{{contactFields.position}}</p>
                <p v-if="contactFields.position === undefined">empty</p>
            </li>
            <li class="writtenData-item">
                <h2>City</h2>
                <p>{{contactFields.city}}</p>
                <p v-if="contactFields.city === undefined">empty</p>
            </li>
            <li class="writtenData-item">
                <h2>Country</h2>
                <p>{{contactFields.country}}</p>
                <p v-if="contactFields.country === undefined">empty</p>
            </li>
            <li class="writtenData-item">
                <h2>Telephone</h2>
                <p>{{contactFields.telephone}}</p>
                <p v-if="contactFields.telephone === undefined">empty</p>
            </li>
            <li class="writtenData-item">
                <h2>Email</h2>
                <p>{{contactFields.email}}</p>
                <p v-if="contactFields.email === undefined">empty</p>
            </li>
            <li class="writtenData-item">
                <h2>You are a</h2>
                <p>{{contactFields.whoIAm}}</p>
                <p v-if="contactFields.whoIAm === undefined">empty</p>
            </li>
            <li class="writtenData-item">
                <h2>If other, please specify</h2>
                <p>{{contactFields.whoIAmSpecify}}</p>
                <p v-if="contactFields.whoIAmSpecify === undefined">empty</p>
            </li>
            <li class="writtenData-item">
                <h2>You are interested in</h2>
                <p>{{contactFields.interestedIn}}</p>
                <p v-if="contactFields.interestedIn === undefined">empty</p>
            </li>
        </ul>

    </div>

    <div class="company-address">
        <h3>Our Address</h3>
        <p>
            AGRIDERA Seeds & Agriculture Ltd.<br>
            P.O Box 103,<br>
            Gedera 70750, Israel.<br>
            Telephone: <span>+972 8 944 9222</span>
        </p>
    </div>

    <div class="footer">
        <div class="row footer-links">
            <div class="col-md-8 footer-menu">
                <ul class="footer-menu-list">
                    <li class="footer-menu-item"><a href="">Profile</a></li>
                    <li class="footer-menu-item"><a href="">Managment</a></li>
                    <li class="footer-menu-item"><a href="">Products</a></li>
                    <li class="footer-menu-item"><a href="">R&D</a></li>
                    <li class="footer-menu-item"><a href="">Links</a></li>
                    <li class="footer-menu-item"><a href="">Sitemap</a></li>
                    <li class="footer-menu-item"><a href="">Contact</a></li>
                </ul>
            </div>
            <div class="col-md-4 footer-socials">
                <ul class="socials-list">
                    <li class="socials-list-item">
                        <a href=""><img src="images/Ico_in.png" alt=""></a>
                    </li>
                    <li class="socials-list-item">
                        <a href=""><img src="images/Ico_inst.png" alt=""></a>
                    </li>
                    <li class="socials-list-item">
                        <a href=""><img src="images/Ico_fb.png" alt=""></a>
                    </li>
                    <li class="socials-list-item">
                        <a href=""><img src="images/Ico_tube.png" alt=""></a>
                    </li>
                    <li class="socials-list-item">
                        <a href=""><img src="images/Ico_tw.png" alt=""></a>
                    </li>
                </ul>
            </div>
        </div>
        <div class="footer-copyrighted">
            <h4>Agridera seeds & Agriculture LTD. © 2021</h4>
        </div>
    </div>

<script src="https://cdn.jsdelivr.net/npm/vue@2/dist/vue.js"></script>
<script src="../../js/main.js"></script>
</body>
</html>